Package org.eclipse.cdt.core

## Interface ICDescriptorOperation

    @Deprecated
    public interface ICDescriptorOperation

Deprecated.

Restriction:
  This interface is not intended to be referenced by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `execute​(ICDescriptor descriptor, org.eclipse.core.runtime.IProgressMonitor monitor)` Deprecated. Call-back method executed atomically on a ICDescriptor in a runnable.

### Method Detail

#### execute

    void execute​(ICDescriptor descriptor,
                 org.eclipse.core.runtime.IProgressMonitor monitor)
          throws org.eclipse.core.runtime.CoreException

Deprecated.
Call-back method executed atomically on a ICDescriptor in a runnable.

Parameters:
  `descriptor` -
  `monitor` -
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  `ICDescriptorManager.runDescriptorOperation(IProject, ICDescriptorOperation, IProgressMonitor)`, `ICDescriptorManager.runDescriptorOperation(IProject, ICProjectDescription, ICDescriptorOperation, IProgressMonitor)`